package com.ruoyi.project.ehs.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 事件申请对象 t_approve_accident
 *
 * @author ruoyi
 * @date 2021-03-01
 */
public class TApproveAccident extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 申请人ID */
    @Excel(name = "申请人ID")
    private Long recorderId;

    /** 确认人一ID */
    @Excel(name = "确认人一ID")
    private Long confirmoneId;

    /** 确认人二ID */
    @Excel(name = "确认人二ID")
    private Long confirmtwoId;

    /** 执行人ID */
    @Excel(name = "执行人ID")
    private Long executorId;

    /** 验证人ID */
    @Excel(name = "验证人ID")
    private Long verificationId;

    /** 装置经理ID */
    @Excel(name = "装置经理ID")
    private Long managerconId;

    /** 装置总监ID */
    @Excel(name = "装置总监ID")
    private Long directorconId;

    /** CTS经理ID */
    @Excel(name = "CTS经理ID")
    private Long ctsmanagerId;

    /** CTS总监ID */
    @Excel(name = "CTS总监ID")
    private Long ctsdirectorId;

    /** 事故级别 */
    @Excel(name = "事故级别")
    private Long accidentLevel;

    /** 事件基本信息 */
    @Excel(name = "事件基本信息")
    private String accidentContent;

    /** 事件初步分类 */
    @Excel(name = "事件初步分类")
    private String accidentSort;

    /** 事件分类列表 */
    private List<Long> sortList;

    /** 是否得到紧急救援 */
    @Excel(name = "是否得到紧急救援")
    private String rescue;

    /** 危害涉及 */
    @Excel(name = "危害涉及")
    private String involve;

    /** 整改措施 */
    @Excel(name = "整改措施")
    private String measures;

    /** 预计完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "预计完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completeTime;

    /** 申请状态 */
    @Excel(name = "申请状态")
    private Long status;

    /** 申请开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattime;

    /** 申请结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 流程ID */
    @Excel(name = "流程ID")
    private Long processId;

    /** 申请编号 */
    @Excel(name = "申请编号")
    private String approveNo;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 删除状态 */
    private Long delFlag;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setRecorderId(Long recorderId)
    {
        this.recorderId = recorderId;
    }

    public Long getRecorderId()
    {
        return recorderId;
    }
    public void setConfirmoneId(Long confirmoneId)
    {
        this.confirmoneId = confirmoneId;
    }

    public Long getConfirmoneId()
    {
        return confirmoneId;
    }
    public void setConfirmtwoId(Long confirmtwoId)
    {
        this.confirmtwoId = confirmtwoId;
    }

    public Long getConfirmtwoId()
    {
        return confirmtwoId;
    }
    public void setExecutorId(Long executorId)
    {
        this.executorId = executorId;
    }

    public Long getExecutorId()
    {
        return executorId;
    }
    public void setVerificationId(Long verificationId)
    {
        this.verificationId = verificationId;
    }

    public Long getVerificationId()
    {
        return verificationId;
    }
    public void setManagerconId(Long managerconId)
    {
        this.managerconId = managerconId;
    }

    public Long getManagerconId()
    {
        return managerconId;
    }
    public void setDirectorconId(Long directorconId)
    {
        this.directorconId = directorconId;
    }

    public Long getDirectorconId()
    {
        return directorconId;
    }
    public void setCtsmanagerId(Long ctsmanagerId)
    {
        this.ctsmanagerId = ctsmanagerId;
    }

    public Long getCtsmanagerId()
    {
        return ctsmanagerId;
    }
    public void setCtsdirectorId(Long ctsdirectorId)
    {
        this.ctsdirectorId = ctsdirectorId;
    }

    public Long getCtsdirectorId()
    {
        return ctsdirectorId;
    }
    public void setAccidentLevel(Long accidentLevel)
    {
        this.accidentLevel = accidentLevel;
    }

    public Long getAccidentLevel()
    {
        return accidentLevel;
    }
    public void setAccidentContent(String accidentContent)
    {
        this.accidentContent = accidentContent;
    }

    public String getAccidentContent()
    {
        return accidentContent;
    }
    public void setAccidentSort(String accidentSort)
    {
        this.accidentSort = accidentSort;
    }

    public String getAccidentSort()
    {
        return accidentSort;
    }
    public List<Long> getSortList() { return sortList; }

    public void setSortList(List<Long> sortList) { this.sortList = sortList; }
    public void setRescue(String rescue)
    {
        this.rescue = rescue;
    }

    public String getRescue()
    {
        return rescue;
    }
    public void setInvolve(String involve)
    {
        this.involve = involve;
    }

    public String getInvolve()
    {
        return involve;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setCompleteTime(Date completeTime)
    {
        this.completeTime = completeTime;
    }

    public Date getCompleteTime()
    {
        return completeTime;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreattime(Date creattime)
    {
        this.creattime = creattime;
    }

    public Date getCreattime()
    {
        return creattime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setProcessId(Long processId)
    {
        this.processId = processId;
    }

    public Long getProcessId()
    {
        return processId;
    }
    public void setApproveNo(String approveNo)
    {
        this.approveNo = approveNo;
    }

    public String getApproveNo()
    {
        return approveNo;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("recorderId", getRecorderId())
            .append("confirmoneId", getConfirmoneId())
            .append("confirmtwoId", getConfirmtwoId())
            .append("executorId", getExecutorId())
            .append("verificationId", getVerificationId())
            .append("managerconId", getManagerconId())
            .append("directorconId", getDirectorconId())
            .append("ctsmanagerId", getCtsmanagerId())
            .append("ctsdirectorId", getCtsdirectorId())
            .append("accidentLevel", getAccidentLevel())
            .append("accidentContent", getAccidentContent())
            .append("accidentSort", getAccidentSort())
            .append("sortList", getSortList())
            .append("rescue", getRescue())
            .append("involve", getInvolve())
            .append("measures", getMeasures())
            .append("completeTime", getCompleteTime())
            .append("status", getStatus())
            .append("creattime", getCreattime())
            .append("endtime", getEndtime())
            .append("processId", getProcessId())
            .append("approveNo", getApproveNo())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
